Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.datarepository
Interface ACEServerDataObject

All Known Implementing Classes:
  FileDataObject

    public interface ACEServerDataObject

This Interface class forms the base of the hierarchy of classes that communicate with Data Resource. It provided a commom set of methods for reading and writing ACE data in Data Repository.

Method Summary
`byte[]` | `getData()` This method reads bytes form a ACE Resource and stores them into a caller supplied buffer.
`int` | `getData(byte[] b)` This method reads bytes form a ACE Resource and stores them into a caller supplied buffer.
`long` | `getTimeStamp()` This method return the time that the data resource was last modified
`void` | `writeData(byte[] b)` This method writes bytes from the passed array to the data resource

Method Detail

### getData

    byte[] getData()
                   throws DataAccessorException

  This method reads bytes form a ACE Resource and stores them into a caller supplied buffer.

  Returns:
    an array containing all of bytes read from the data resource or a zero-length byte array
  Throws:
    `DataAccessorException` - if the Data Resource is not found or the Data Resource is not able to read because of security violation

### getData

    int getData(byte[] b)
                throws DataAccessorException

  This method reads bytes form a ACE Resource and stores them into a caller supplied buffer. The actual number of bytes read is return as an int.

  Returns:
    The number of bytes read or -1 if end of stream
  Throws:
    `DataAccessorException` - if the Data Resource is not found or the Data Resource is not able to read because of security violation

### writeData

    void writeData(byte[] b)
                   throws DataAccessorException

  This method writes bytes from the passed array to the data resource

  Parameters:
    `b` - The array of bytes to write
  Throws:
    `DataAccessorException` - if the Data Resource is not found or the Data Resource is not able to write because of security violation

### getTimeStamp

    long getTimeStamp()

  This method return the time that the data resource was last modified

  Returns:
    a long value representing the time the resource was last modified, 0 if the data resource is not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.